set status [ SclFunction "EXIT GRAPHICS" {
  frm00108={
    {
      exit_mode="E"
    }
  }
}]

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "RECALL ANY FILE" {
  file="high_grade.str"
  mode="openInNewLayer"
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="high_grade.str"
  mode="edit"
}]

set status [ SclFunction "STR MATHS" {
  frm00700={
    {
      _action=display
      file_loc="high_grade.str"
      file_id=""
      result_loc="top_cut"
      main=table { str_range constraint field expr } {
        { "" "" "d2" "iif(d1>10,10,d1)" }
        { "" "" "" "" }
        { "" "" "" "" }
        { "" "" "" "" }
        { "" "" "" "" }
        { "" "" "" "" }
        { "" "" "" "" }
        { "" "" "" "" }
        { "" "" "" "" }
        { "" "" "" "" }
      }
    }
  }
}]

set status [ SclFunction "EXIT GRAPHICS" {} ]

set status [ SclFunction "RECALL ANY FILE" {
  file="top_cut.str"
  mode="openInNewLayer"
}]

set status [ SclFunction "DRAW DESC" {
  frm00089={
    {
      range1=""
      range2=""
      range3=""
      ifld_num="d2"
      textalignment=">"
      position="All points"
      layer_name="top_cut.str"
    }
  }
}]

set status [ SclFunction "DRAW MARKERS" {
  frm00089={
    {
      range1=""
      range2=""
      range3=""
      ifld_num="d1"
      textalignment="<"
      position="All points"
      layer_name="top_cut.str"
    }
  }
}]


set status [ SclFunction "RECALL ANY FILE" {
  file="top_cut.str"
  mode="edit"
}]

puts ""
puts ""
puts ""
puts ""
puts "Macro 05c_string_maths3.tcl completed."
puts ""
puts ""